Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityEnderman

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityCreature
                  net.minecraft.src.EntityMob
                      net.minecraft.src.EntityEnderman

All Implemented Interfaces:
  IAnimals, IMob

    public class EntityEnderman

extends EntityMob

Field Summary
`static boolean[]` | `carriableBlocks`

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82181_as, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Fields inherited from interface net.minecraft.src.IMob
`mobSelector`

Constructor Summary
`EntityEnderman(World par1World)`

Method Summary
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`void` | `func_70819_e(boolean par1)`
`boolean` | `func_70823_r()`
`int` | `getAttackStrength(Entity par1Entity)` Returns the amount of damage a mob should deal.
`int` | `getCarried()` Get the id of the block an enderman carries
`int` | `getCarryingData()` Get the metadata of the block an enderman carries
`int` | `getMaxHealth()`
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setCarried(int par1)` Set the id of the block an enderman carries
`void` | `setCarryingData(int par1)` Set the metadata of the block an enderman carries
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityMob
`attackEntityAsMob, getBlockPathWeight, getCanSpawnHere, onUpdate`

Methods inherited from class net.minecraft.src.EntityCreature
`getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82165_m, func_85034_r, func_85035_bI, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTalkInterval, getTexture, getTotalArmorValue, getVerticalFaceSpeed, handleHealthUpdate, hasHome, heal, initCreature, isBlocking, isChild, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82142_c, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, func_90999_ad, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### carriableBlocks

    public static boolean[] carriableBlocks

Constructor Detail

### EntityEnderman

    public EntityEnderman(World par1World)

Method Detail

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityLiving`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityLiving`

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityMob`

### setCarried

    public void setCarried(int par1)

  Set the id of the block an enderman carries

### getCarried

    public int getCarried()

  Get the id of the block an enderman carries

### setCarryingData

    public void setCarryingData(int par1)

  Set the metadata of the block an enderman carries

### getCarryingData

    public int getCarryingData()

  Get the metadata of the block an enderman carries

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `EntityMob`

### func_70823_r

    public boolean func_70823_r()

### func_70819_e

    public void func_70819_e(boolean par1)

### getAttackStrength

    public int getAttackStrength(Entity par1Entity)

  Returns the amount of damage a mob should deal.

  Overrides:
    `getAttackStrength` in class `EntityMob`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD